Each endpoint page has a playground that sends real requests directly from your browser to Digital Surge — your API key is never routed through a third party. Paste your key into the Bearer token field, or just read the generated curl/Python/JavaScript snippets.
The playground talks to production: write operations (creating swaps, withdrawals, price triggers) use real funds on your real account.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Digital Surge API","description":"API documentation for Digital Surge, the Australian cryptocurrency exchange. Trade, track your portfolio, and automate with API keys or AI agents.","colors":{"primary":"#664DFF","light":"#BD99FF","dark":"#322593"},"logo":{"light":"https://mintcdn.com/digitalsurge/v62aNZmWKjllpl9w/logo/light.svg?fit=max\u0026auto=format\u0026n=v62aNZmWKjllpl9w\u0026q=85\u0026s=3f12651d3670f8bbd605b0ecf3d5846c","dark":"https://mintcdn.com/digitalsurge/v62aNZmWKjllpl9w/logo/dark.svg?fit=max\u0026auto=format\u0026n=v62aNZmWKjllpl9w\u0026q=85\u0026s=1a73e4ebdea9818c3797d2022f9b3be2","href":"https://digitalsurge.com.au"},"favicon":"https://mintcdn.com/digitalsurge/v62aNZmWKjllpl9w/favicon.svg?fit=max\u0026auto=format\u0026n=v62aNZmWKjllpl9w\u0026q=85\u0026s=89b3596b6826371c879c2a27a55ff2fa","api":{"playground":{"display":"interactive","proxy":false},"examples":{"defaults":"required","languages":["curl","python","javascript"]}},"navbar":{"links":[{"href":"https://help.digitalsurge.com.au","label":"Support"}],"primary":{"type":"button","label":"Open Digital Surge","href":"https://app.digitalsurge.com.au"}},"footer":{"socials":{"website":"https://digitalsurge.com.au"}},"seo":{"metatags":{"og:site_name":"Digital Surge API Documentation"},"indexing":"all"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"digitalsurge","hasAudioNarration":false,"actualSubdomain":"digitalsurge","customDomains":["digitalsurge.com.au"],"gitSource":{"type":"gitlab","owner":"digital-surge2","repo":"ds-api-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"projectId":84082694,"mountPath":"","label":""},"chroma":{"collectionId":"b596dff0-b1c2-47c3-8102-603b78c8f0c0","liveDeploymentHistoryId":"6a4881849e94978f9d555c21","schemaVersion":"v3"},"entitlements":{},"buildId":"6a4881849e94978f9d555c21:success","clientVersion":"0.0.4045","searchFilterCounts":[{"language":"default","tag":"API Reference","count":55},{"language":"default","tag":"Endpoints","count":53},{"language":"default","tag":"Private","count":46},{"language":"default","tag":"Public","count":7},{"language":"default","tag":"Guides","count":6},{"language":"default","tag":"Getting started","count":3},{"language":"default","tag":"Using the API","count":2},{"language":"default","tag":"AI agents","count":1}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference","slug":"/api-reference","pageMetadata":{"title":"API Reference","sidebarTitle":"Overview","description":"Complete reference for the Digital Surge API: market data, trading, portfolio, withdrawals, and account endpoints — with an interactive playground.","href":"/api-reference/index"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Complete reference for the Digital Surge API: market data, trading, portfolio, withdrawals, and account endpoints — with an interactive playground.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[`Every endpoint below is generated from the live `,_jsx(_components.a,{href:`https://app.digitalsurge.com.au/api/schema/`,children:`OpenAPI schema`}),`, so it always matches production behavior. Endpoints are grouped by scope:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Public`}),` — market data: assets, categories, ticker prices, EOFY closing prices. No authentication.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Private`}),` — your account: balances, swaps, recurring buys, price triggers, transactions, withdrawals, deposit addresses. Requires an `,_jsx(_components.a,{href:`/guides/authentication`,children:`API key`}),`.`]}),`\n`]}),`\n`,_jsx(Heading,{level:`2`,id:`trying-endpoints-in-the-browser`,children:`Trying endpoints in the browser`}),`\n`,_jsxs(_components.p,{children:[`Each endpoint page has a playground that sends real requests `,_jsx(_components.strong,{children:`directly from your browser to Digital Surge`}),` — your API key is never routed through a third party. Paste your key into the Bearer token field, or just read the generated `,_jsx(_components.code,{children:`curl`}),`/Python/JavaScript snippets.`]}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`The playground talks to production: write operations (creating swaps, withdrawals, price triggers) use real funds on your real account.`})}),`\n`,_jsx(Heading,{level:`2`,id:`machine-readable-schema`,children:`Machine-readable schema`}),`\n`,_jsx(_components.p,{children:`Building a client or pointing an AI tool at the API? Consume the schema directly:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`3`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://app.digitalsurge.com.au/api/schema/ # OpenAPI 3 (YAML)`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`https://app.digitalsurge.com.au/api/schema/?format=json # OpenAPI 3 (JSON)`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"API Reference","sidebarTitle":"Overview","description":"Complete reference for the Digital Surge API: market data, trading, portfolio, withdrawals, and account endpoints — with an interactive playground.","href":"/api-reference/index"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Trying endpoints in the browser","slug":"trying-endpoints-in-the-browser","depth":2,"children":[]},{"title":"Machine-readable schema","slug":"machine-readable-schema","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":["/docs/_mintlify/custom/digitalsurge/3641986737ad18ec/worker/src/index.js"],"subdomain":"digitalsurge","siteName":"Digital Surge API","title":"API Reference - Digital Surge API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-07-04T03:44:10.580Z","originalFileLocation":"api-reference/index.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Complete reference for the Digital Surge API: market data, trading, portfolio, withdrawals, and account endpoints — with an interactive playground.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Digital Surge API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/digitalsurge/ftUiGR1TsUtR6JbP/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/digitalsurge/ftUiGR1TsUtR6JbP/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/digitalsurge/ftUiGR1TsUtR6JbP/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/digitalsurge/ftUiGR1TsUtR6JbP/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/digitalsurge/ftUiGR1TsUtR6JbP/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/digitalsurge/ftUiGR1TsUtR6JbP/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/digitalsurge/ftUiGR1TsUtR6JbP/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/digitalsurge/ftUiGR1TsUtR6JbP/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/digitalsurge/ftUiGR1TsUtR6JbP/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"API Reference - Digital Surge API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Complete reference for the Digital Surge API: market data, trading, portfolio, withdrawals, and account endpoints — with an interactive playground.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Digital Surge API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://digitalsurge.com.au/docs/api-reference\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://digitalsurge.mintlify.app/_mintlify/api/og/v2?division=API+Reference\u0026amp;title=API+Reference\u0026amp;description=Complete+reference+for+the+Digital+Surge+API%3A+market+data%2C+trading%2C+portfolio%2C+withdrawals%2C+and+account+endpoints+%E2%80%94+with+an+interactive+playground.\u0026amp;theme=cca07053cdd6aa929ec823f2\u0026amp;signature=b55662ad109e540a871e244d1bb2522a959694ad554c633977ac602a0f1d825a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"API Reference - Digital Surge API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Complete reference for the Digital Surge API: market data, trading, portfolio, withdrawals, and account endpoints — with an interactive playground.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://digitalsurge.mintlify.app/_mintlify/api/og/v2?division=API+Reference\u0026amp;title=API+Reference\u0026amp;description=Complete+reference+for+the+Digital+Surge+API%3A+market+data%2C+trading%2C+portfolio%2C+withdrawals%2C+and+account+endpoints+%E2%80%94+with+an+interactive+playground.\u0026amp;theme=cca07053cdd6aa929ec823f2\u0026amp;signature=b55662ad109e540a871e244d1bb2522a959694ad554c633977ac602a0f1d825a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/digitalsurge/ftUiGR1TsUtR6JbP/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Digital Surge API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#664DFF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://digitalsurge.com.au/docs/api-reference\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://digitalsurge.com.au/#organization\",\"name\":\"Digital Surge API\",\"url\":\"https://digitalsurge.com.au\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/digitalsurge/v62aNZmWKjllpl9w/logo/light.svg?fit=max\u0026auto=format\u0026n=v62aNZmWKjllpl9w\u0026q=85\u0026s=3f12651d3670f8bbd605b0ecf3d5846c\"}},{\"@type\":\"WebSite\",\"@id\":\"https://digitalsurge.com.au/docs#website\",\"name\":\"Digital Surge API\",\"url\":\"https://digitalsurge.com.au/docs\",\"publisher\":{\"@id\":\"https://digitalsurge.com.au/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://digitalsurge.com.au/docs/api-reference#webpage\",\"url\":\"https://digitalsurge.com.au/docs/api-reference\",\"name\":\"API Reference\",\"description\":\"Complete reference for the Digital Surge API: market data, trading, portfolio, withdrawals, and account endpoints — with an interactive playground.\",\"dateModified\":\"2026-07-04T03:44:10.580Z\",\"isPartOf\":{\"@id\":\"https://digitalsurge.com.au/docs#website\"},\"breadcrumb\":{\"@id\":\"https://digitalsurge.com.au/docs/api-reference#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://digitalsurge.com.au/docs/api-reference#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://digitalsurge.com.au/docs/api-reference/index\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"API Reference\",\"item\":\"https://digitalsurge.com.au/docs/api-reference\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://digitalsurge.com.au/docs/api-reference#article\",\"headline\":\"API Reference\",\"name\":\"API Reference\",\"description\":\"Complete reference for the Digital Surge API: market data, trading, portfolio, withdrawals, and account endpoints — with an interactive playground.\",\"url\":\"https://digitalsurge.com.au/docs/api-reference\",\"mainEntityOfPage\":{\"@id\":\"https://digitalsurge.com.au/docs/api-reference#webpage\"},\"dateModified\":\"2026-07-04T03:44:10.580Z\",\"publisher\":{\"@id\":\"https://digitalsurge.com.au/#organization\"},\"isPartOf\":{\"@id\":\"https://digitalsurge.com.au/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Digital Surge API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Digital Surge API","nav":{"global":null,"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"API Reference","groups":[{"group":"API Reference","pages":[{"title":"API Reference","sidebarTitle":"Overview","href":"/api-reference"}]},{"group":"Endpoints","pages":[{"group":"Private","pages":[{"title":"Generate Account Statement PDF","description":"Generate a PDF account statement covering a chosen date range.\n\nPass ``date_from`` and ``date_to`` as ISO 8601 timestamps; the range\nmay span at most twelve months. The response is the generated PDF.","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/account-statement/pdf/","href":"/api-reference/private/generate-account-statement-pdf"},{"title":"List All Balances","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/balances/","href":"/api-reference/private/list-all-balances"},{"title":"Get Asset Balance","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/balances/{asset}/","href":"/api-reference/private/get-asset-balance"},{"title":"List Price Triggers","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/broker/price-triggers/","href":"/api-reference/private/list-price-triggers"},{"title":"Create Price Trigger","deprecated":null,"version":null,"openapi":"/openapi.json post /api/private/broker/price-triggers/","href":"/api-reference/private/create-price-trigger"},{"title":"Get Price Trigger","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/broker/price-triggers/{id}/","href":"/api-reference/private/get-price-trigger"},{"title":"Update Price Trigger","deprecated":null,"version":null,"openapi":"/openapi.json put /api/private/broker/price-triggers/{id}/","href":"/api-reference/private/update-price-trigger"},{"title":"Delete Price Trigger","deprecated":null,"version":null,"openapi":"/openapi.json delete /api/private/broker/price-triggers/{id}/","href":"/api-reference/private/delete-price-trigger"},{"title":"Patch Price Trigger","deprecated":null,"version":null,"openapi":"/openapi.json patch /api/private/broker/price-triggers/{id}/","href":"/api-reference/private/patch-price-trigger"},{"title":"List Recurring Buys","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/broker/schedules/","href":"/api-reference/private/list-recurring-buys"},{"title":"Create Recurring Buy","deprecated":null,"version":null,"openapi":"/openapi.json post /api/private/broker/schedules/","href":"/api-reference/private/create-recurring-buy"},{"title":"Get Recurring Buy","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/broker/schedules/{id}/","href":"/api-reference/private/get-recurring-buy"},{"title":"Update Recurring Buy","deprecated":null,"version":null,"openapi":"/openapi.json put /api/private/broker/schedules/{id}/","href":"/api-reference/private/update-recurring-buy"},{"title":"Delete Recurring Buy","deprecated":null,"version":null,"openapi":"/openapi.json delete /api/private/broker/schedules/{id}/","href":"/api-reference/private/delete-recurring-buy"},{"title":"Patch Recurring Buy","deprecated":null,"version":null,"openapi":"/openapi.json patch /api/private/broker/schedules/{id}/","href":"/api-reference/private/patch-recurring-buy"},{"title":"Generate EOFY Closing Statement PDF","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/eofy-closing-statement/pdf/","href":"/api-reference/private/generate-eofy-closing-statement-pdf"},{"title":"List Transfer Limits","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/limits/","href":"/api-reference/private/list-transfer-limits"},{"title":"Get Transfer Limit","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/limits/{id}/","href":"/api-reference/private/get-transfer-limit"},{"title":"List Connected AI Agents","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/mcp-agents/","href":"/api-reference/private/list-connected-ai-agents"},{"title":"Get Connected AI Agent","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/mcp-agents/{id}/","href":"/api-reference/private/get-connected-ai-agent"},{"title":"Disconnect AI Agent","deprecated":null,"version":null,"openapi":"/openapi.json delete /api/private/mcp-agents/{id}/","href":"/api-reference/private/disconnect-ai-agent"},{"title":"Get Profile Brief","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/profile/brief/","href":"/api-reference/private/get-profile-brief"},{"title":"List Swaps","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/swaps/","href":"/api-reference/private/list-swaps"},{"title":"Create Swap","deprecated":null,"version":null,"openapi":"/openapi.json post /api/private/swaps/","href":"/api-reference/private/create-swap"},{"title":"Get Swap","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/swaps/{id}/","href":"/api-reference/private/get-swap"},{"title":"Estimate Swap","deprecated":null,"version":null,"openapi":"/openapi.json post /api/private/swaps/estimate/","href":"/api-reference/private/estimate-swap"},{"title":"Get Portfolio Stats","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/v2/wallet-stats/","href":"/api-reference/private/get-portfolio-stats"},{"title":"List Wallet Transactions","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/v2/wallet/{asset}/wallet-transactions/","href":"/api-reference/private/list-wallet-transactions"},{"title":"Get Wallet Transaction","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/v2/wallet/{asset}/wallet-transactions/{id}/","href":"/api-reference/private/get-wallet-transaction"},{"title":"Get Transaction Invoice","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/v2/wallet/{asset}/wallet-transactions/{id}/invoice/","href":"/api-reference/private/get-transaction-invoice"},{"title":"List Withdrawals","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/v2/wallet/{asset}/withdrawals/","href":"/api-reference/private/list-withdrawals"},{"title":"Create Withdrawal","deprecated":null,"version":null,"openapi":"/openapi.json post /api/private/v2/wallet/{asset}/withdrawals/","href":"/api-reference/private/create-withdrawal"},{"title":"Get Withdrawal","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/v2/wallet/{asset}/withdrawals/{id}/","href":"/api-reference/private/get-withdrawal"},{"title":"Authorize Withdrawal","deprecated":null,"version":null,"openapi":"/openapi.json post /api/private/v2/wallet/{asset}/withdrawals/{id}/authorize/","href":"/api-reference/private/authorize-withdrawal"},{"title":"Resend Withdrawal Code","deprecated":null,"version":null,"openapi":"/openapi.json post /api/private/v2/wallet/{asset}/withdrawals/resend-code/","href":"/api-reference/private/resend-withdrawal-code"},{"title":"List Address Book","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/v2/wallet/address-book/","href":"/api-reference/private/list-address-book"},{"title":"Add Address Book Entry","deprecated":null,"version":null,"openapi":"/openapi.json post /api/private/v2/wallet/address-book/","href":"/api-reference/private/add-address-book-entry"},{"title":"Get Address Book Entry","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/v2/wallet/address-book/{id}/","href":"/api-reference/private/get-address-book-entry"},{"title":"Delete Address Book Entry","deprecated":null,"version":null,"openapi":"/openapi.json delete /api/private/v2/wallet/address-book/{id}/","href":"/api-reference/private/delete-address-book-entry"},{"title":"Resend Address Confirmation","deprecated":null,"version":null,"openapi":"/openapi.json post /api/private/v2/wallet/address-book/{id}/resend_confirmation/","href":"/api-reference/private/resend-address-confirmation"},{"title":"List Deposit Addresses","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/wallet/{asset}/deposit-addresses/","href":"/api-reference/private/list-deposit-addresses"},{"title":"Get Deposit Travel Rule","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/","href":"/api-reference/private/get-deposit-travel-rule"},{"title":"Submit Deposit Travel Rule","deprecated":null,"version":null,"openapi":"/openapi.json post /api/private/wallet/{asset}/deposits/{deposit_id}/travel-rule/","href":"/api-reference/private/submit-deposit-travel-rule"},{"title":"List All Transactions","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/wallet/all-transactions/","href":"/api-reference/private/list-all-transactions"},{"title":"Get Transaction","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/wallet/all-transactions/{id}/","href":"/api-reference/private/get-transaction"},{"title":"Get Transaction Invoice","deprecated":null,"version":null,"openapi":"/openapi.json get /api/private/wallet/all-transactions/{id}/invoice/","href":"/api-reference/private/get-transaction-invoice-1"}]},{"group":"Public","pages":[{"title":"List Assets","deprecated":null,"version":null,"openapi":"/openapi.json get /api/public/broker/assets/","href":"/api-reference/public/list-assets"},{"title":"Get Asset","deprecated":null,"version":null,"openapi":"/openapi.json get /api/public/broker/assets/{code}/","href":"/api-reference/public/get-asset"},{"title":"List Asset Categories","deprecated":null,"version":null,"openapi":"/openapi.json get /api/public/broker/assets/categories/","href":"/api-reference/public/list-asset-categories"},{"title":"Get Asset Category","deprecated":null,"version":null,"openapi":"/openapi.json get /api/public/broker/assets/categories/{slug}/","href":"/api-reference/public/get-asset-category"},{"title":"List EOFY Closing Prices","deprecated":null,"version":null,"openapi":"/openapi.json get /api/public/broker/eofy-closing-prices/","href":"/api-reference/public/list-eofy-closing-prices"},{"title":"Get Ticker","deprecated":null,"version":null,"openapi":"/openapi.json get /api/public/broker/ticker/","href":"/api-reference/public/get-ticker"},{"title":"Top Assets Summary","deprecated":null,"version":null,"openapi":"/openapi.json get /api/public/broker/ticker/top-assets-summary/","href":"/api-reference/public/top-assets-summary"}]}]}]}]},"basePath":"","title":"API Reference - Digital Surge API","buildId":"dpl_Acry4NrQAgjcikyFgVE2eJ7XQCAv","deploymentId":"dpl_Acry4NrQAgjcikyFgVE2eJ7XQCAv","dynamics":[],"chunks":[]}